Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util.measures
Class MalphaMeasure<O>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.measures.MalphaMeasure<O>

All Implemented Interfaces:
  Measure<Set<? extends O>>

Deprecated.

    @Deprecated
    public class MalphaMeasure<O>

extends Object
implements Measure<Set<? extends O>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`(package private) double` | `alpha` Deprecated.

Constructor Summary
`MalphaMeasure(double alpha)` Deprecated.

Method Summary
`double` | `getDissim(Set<? extends O> s1, Set<? extends O> s2)` Deprecated.
`double` | `getMeasureValue(Set<? extends O> s1, Set<? extends O> s2)` Deprecated.
`Measure.TYPES` | `getMType()` Deprecated.
`double` | `getSim(Set<? extends O> s1, Set<? extends O> s2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alpha

    double alpha

  Deprecated.

Constructor Detail

### MalphaMeasure

    public MalphaMeasure(double alpha)

  Deprecated.

Method Detail

### getDissim

    public double getDissim(Set<? extends O> s1,
                            Set<? extends O> s2)

  Deprecated.
  Specified by:
    `getDissim` in interface `Measure<Set<? extends O>>`

### getMeasureValue

    public double getMeasureValue(Set<? extends O> s1,
                                  Set<? extends O> s2)

  Deprecated.
  Specified by:
    `getMeasureValue` in interface `Measure<Set<? extends O>>`

### getSim

    public double getSim(Set<? extends O> s1,
                         Set<? extends O> s2)

  Deprecated.
  Specified by:
    `getSim` in interface `Measure<Set<? extends O>>`

### getMType

    public Measure.TYPES getMType()

  Deprecated.
  Specified by:
    `getMType` in interface `Measure<Set<? extends O>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009